<?php
require_once 'conexion.php'; // Asegúrate de que $conn esté definido allí
// Configuración de conexión
// $host = "localhost";
// $user = "root";
// $pass = "";
// $dbname = "test";

// $conn = new mysqli($host, $user, $pass, $dbname);

// // Validar conexión
// if ($conn->connect_error) {
//     die("Conexión fallida: " . $conn->connect_error);
// }

// Consulta
//$sql = "SELECT unidad_id, nombre_unidad FROM unidades";
//$sql = "SELECT unidad_id, nombre_unidad, jefe_inmediato_cod FROM unidades";

$sql = "SELECT DISTINCT
    u.unidad_id,
    u.nombre_unidad,
    u.nomc,
    u.jefe_superior,
    p.jefe_inmediato,
    p.puesto
FROM 
    unidades u
INNER JOIN 
    puestos p ON u.unidad_id = p.unidad_id
   GROUP BY 
    u.unidad_id";


$result = $conn->query($sql);

$unidades = array();

if ($result->num_rows > 0) {
    while($row = $result->fetch_assoc()) {
        $unidades[] = $row;
    }
}

// Retornar JSON
header('Content-Type: application/json');
echo json_encode($unidades);

$conn->close();
?>
